summaryrefslogtreecommitdiffstats
path: root/development/bashdb
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-21 15:46:24 -0500
committer erik@slackbuilds.org <erik@slackbuilds.org>2010-05-23 23:17:03 -0500
commit2a85ff439bdfa0140adc493d1cc4f76c251fd2d2 (patch)
treeb953d08936a4c815cbbc09d7c1df543078c8d2ea /development/bashdb
parentad636befefd27cff7be761a27b0a6a7b580b59ee (diff)
downloadslackbuilds-2a85ff439bdfa0140adc493d1cc4f76c251fd2d2.tar.gz
slackbuilds-2a85ff439bdfa0140adc493d1cc4f76c251fd2d2.tar.xz
development/bashdb: Updated version and cleanups.
Diffstat (limited to 'development/bashdb')
-rw-r--r--development/bashdb/README5
-rw-r--r--development/bashdb/bashdb.SlackBuild76
-rw-r--r--development/bashdb/bashdb.info10
-rw-r--r--development/bashdb/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/development/bashdb/README b/development/bashdb/README
new file mode 100644
index 0000000000..5cba21da87
--- /dev/null
+++ b/development/bashdb/README
@@ -0,0 +1,5 @@
+The BASH Debugger Project contains the most comprehensive source-code debugger
+for bash that has been written. It has a similar command interface as gdb.
+
+Read the INSTALL file in the source directory for instructions if you wish to
+enable readarray support. readarray speeds up initial loading of large scripts.
diff --git a/development/bashdb/bashdb.SlackBuild b/development/bashdb/bashdb.SlackBuild
new file mode 100644
index 0000000000..00b9fd2b11
--- /dev/null
+++ b/development/bashdb/bashdb.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+#
+# Slackware build script for bashdb
+#
+# Copyright 2009-2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This will build without readarray support. Read the INSTALL file in the
+# source directory for instructions if you wish to enable readarray support.
+# readarray speeds up initial loading of large scripts.
+
+PRGNAM=bashdb
+VERSION=4.0-0.4
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man/man1 -type f -exec gzip -9 {} \;
+gzip -9 $PKG/usr/info/*.info
+rm -rf $PKG/usr/info/dir
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog ChangeLog.0 INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION/-/_}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/bashdb/bashdb.info b/development/bashdb/bashdb.info
new file mode 100644
index 0000000000..d166193326
--- /dev/null
+++ b/development/bashdb/bashdb.info
@@ -0,0 +1,10 @@
+PRGNAM="bashdb"
+VERSION="4.0-0.4"
+HOMEPAGE="http://bashdb.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/bashdb/bashdb-4.0-0.4.tar.bz2"
+MD5SUM="eb411b64d27ccbd0093789e9e945a589"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="dsomero"
diff --git a/development/bashdb/slack-desc b/development/bashdb/slack-desc
new file mode 100644
index 0000000000..9451e48b31
--- /dev/null
+++ b/development/bashdb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bashdb: bashdb (The BASH Debugger Project)
+bashdb:
+bashdb: The BASH Debugger Project contains the most comprehensive source-code
+bashdb: debugger for bash that has been written. It has a similar command
+bashdb: interface as gdb.
+bashdb:
+bashdb: http://bashdb.sourceforge.net/
+bashdb:
+bashdb:
+bashdb:
+bashdb: